* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    list-style: none;
    text-decoration: none;
    scroll-behavior: smooth;
    scroll-padding-top: 3rem;
}

:root {
    --main-color: #ee9818; /* Daha koyu mavi bir ana renk */
    --text-color: #212121; /* Siyah yazı rengi */
    --other-color: #fff;   /* Beyaz yardımcı renk */
    --second-color: #616161; /* Daha koyu gri */
    --bg-color: #ffffff;  /* Beyaz arka plan rengi */

    --big-font: 4.5rem;
    --h2-font: 2.6rem;
    --p-font: 1.1rem;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: transparent;
    padding: 30px 14%;
    transition: all .50s ease;
}

.logo {
    display: flex;
    align-items: center;
    color: var(--text-color);
    font-size: 22px;
    font-weight: 700;
}

.logo i {
    vertical-align: middle;
    margin-right: 8px;
    color: var(--main-color);
}

.navlist {
    display: flex;
}

.navlist a {
    color: var(--text-color);
    font-size: var(--p-font);
    font-weight: 600;
    margin: 0 30px;
    transition: all .50s ease;
}

.navlist a:hover {
    color: var(--main-color);
}

.navlist a.active {
    color: var(--main-color);
}

.nav-icons {
    display: flex;
    align-items: center;
    padding: 8px 15px;
    background: var(--main-color);
    border-radius: 3rem;
    box-shadow: #ff9f0d 0px 1px 25px;
}

.nav-icons i {
    vertical-align: middle;
    font-size: 25px;
    color: var(--bg-color);
    margin-right: 8px;
    margin-left: 5px;
    transition: all .50s ease;
}

#menu-icon {
    font-size: 32px;
    color: var(--bg-color);
    z-index: 10001;
    cursor: pointer;
    display: none;
}

.nav-icons i:hover {
    transform: scale(1.1);
    color: var(--text-color);
}

section {
    padding: 70px 14% 60px;
}

.home {
    position: relative;
    height: 100vh;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2rem;
}

.home-img img {
    width: 100%;
    height: auto;
}

.home-text h1 {
    font-size: var(--big-font);
    font-weight: 700;
    Line-height: 1.3;
    margin-bottom: 3rem;
}

span {
    color: var(--main-color);
}

.btn {
    display: inline-block;
    padding: 15px 35px;
    background: var(--other-color);
    color: var(--main-color);
    font-size: var(--p-font);
    font-weight: 500;
    letter-spacing: 1px;
    border-radius: 3rem;
    transition: all .50s ease;
}

.btn i {
    vertical-align: middle;
    margin-left: 9px;
    font-size: 22px;
}

.btn:hover {
    background: var(--main-color);
    color: var(--bg-color);
    box-shadow: #ff9f0d 0px 1px 25px;
}

.btn2 {
    display: inline-block;
    margin-left: 30px;
    font-size: var(--p-font);
    font-weight: 500;
    letter-spacing: 1px;
    border-bottom: 3px solid var(--main-color);
    color: var(--main-color);
    transition: all .50s ease;
}

.btn2:hover {
    transform: scale(1.1) translateX(12px);
}

header.sticky {
    padding: 12px 14%;
    background: var(--other-color);
}

.container {
    padding: 30px 14% 70px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    gap: 2rem;
    text-align: center;
}

.container-box {

    padding: 43px 43px 43px 43px;
    background: #f1f1f1;
    border-radius: 3rem;
}

.container-box img {
    width: 100%;
    max-width: 50px;
    height: auto;
}

.container-box h3 {
    font-size: 21px;
    font-weight: bold;
    margin: 16px 0;
}

.container-box a {
    cursor: pointer;
    color: var(--second-color);
    font-size: var(--p-font);
    Letter-spacing: 1px;
    transition: all .50s ease;
}

.container-box a:hover {
    color: var(--main-color);
}

.about {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 4rem;
}

.about-img img {
    width: 100%;
    height: auto;
}

.about-text h2 {
    font-size: var(--h2-font);
    line-height: 1.3;
    margin-bottom: 2rem;
}

.about-text p {
    color: var(--second-color);
    font-size: var(--p-font);
    line-height: 30px;
    margin-bottom: 3rem;
}

.middle-text {
    text-align: center;
}

.middle-text h4 {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 10px;
    color: var(--main-color);
}

.middle-text h2 {
    font-size: var(--h2-font);
}

.menu-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    gap: 2rem;
    align-items: center;
    margin-top: 4rem;
}

.row {
    position: relative;
    padding: 10px 35px 40px;
    background: #F1F1F1;
    border-radius: 3rem;
}

.row img {
    width: 100%;
    height: auto;
    transition: transform .50s ease;
    cursor: pointer;
}

.row h3 {
    font-size: 18px;
    margin-bottom: 5px;
    font-weight: 700;
}

.row p {
    color: var(--second-color);
    font-size: var(--p-font);
    Line-height: 30px;
    margin-bottom: 1.1rem;
}

.in-text {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.in-text .price h6 {
    font-size: 17px;
    color: var(--main-color);
    font-weight: 600;
}

.in-text .s-btnn a {
    display: inline-block;
    padding: 9px 23px;
    background: var(--bg-color);
    color: var(--main-color);
    font-size: 14px;
    font-weight: 500;
    Letter-spacing: 1px;
    border-radius: 3rem;
    transition: all .50s ease;
}

.in-text .s-btnn a:hover {
    background: var(--main-color);
    color: var(--bg-color);
    box-shadow: #ff9f0d 0px 1px 25px;
}

.top-icon {
    position: absolute;
    top: 30px;
    Left: 35px;
}

.top-icon i {
    font-size: 22px;
    color: var(--main-color);
}

.row-btn {
    text-align: center;
    margin-top: 6rem;
}

.row img:hover {
    transform: scale(1.1);
}

.review-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    gap: 2rem;
    align-items: center;
    margin-top: 4rem;
}

.box {
    padding: 35px;
    background: #F1F1F1;
    border-radius: 3rem;
}

.box p {
    color: var(--second-color);
    font-size: var(--p-font);
    Line-height: 30px;
    margin-bottom: 1.5rem;
}

.in-box {
    display: flex;
    align-items: center;
    gap: 30px;
}

.bx-img img {
    width: 100%;
    height: auto;
    border-radius: 3rem;
}

.bxx-text h4 {
    margin: 5px 0;
    font-size: 18px;
}

.bxx-text h5 {
    color: var(--second-color);
    font-size: 14px;
    font-weight: 500;
    Letter-spacing: 1px;
    margin-bottom: 10px;
}

.ratings i {
    color: var(--main-color);
    font-size: 18px;
    margin-right: 5px;
}

.contact-content {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: column;
}

.contact-img {
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    gap: 4rem;
    margin-bottom: 5rem;
}

.contact-img img {
    width: 100%;
    max-width: 200px;
    height: auto;
    cursor: pointer;
    transition: all .50s ease;
}

.contact-img img:hover {
    transform: scale(0.9);
}

.contact-text {
    text-align: center;
    margin-bottom: 4rem;
}

.contact-text h2 {
    font-size: var(--h2-font);
    margin-bottom: 10px;
}

.contact-text p {
    color: var(--second-color);
    font-size: var(--p-font);
    max-width: 950px;
    Line-height: 30px;
    margin-bottom: 3rem;
}

.social i {
    display: inline-block;
    font-size: 32px;
    color: var(--second-color);
    margin: 0 20px;
    transition: all .50s ease;
}

.social .clr i {
    color: var(--main-color);
}

.social i:hover {
    color: var(--main-color);
}

.details {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 3rem;
}

.main-d a {
    display: flex;
    align-items: center;
    color: var(--text-color);
    font-size: 20px;
    font-weight: 600;
}

.main-d i {
    vertical-align: middle;
    margin-right: 12px;
    font-size: 28px;
    color: var(--main-color);
}

.scroll {
    position: fixed;
    bottom: 2.2rem;
    border-top: 2rem;
    right: 3.2rem;
}

.scroll i {
    font-size: 22px;
    color: var(--other-color);
    background: var(--main-color);
    padding: 10px;
    border-radius: 2rem;
}

/* Galeriya konteynerinin düzgün genişliyini təmin edin */
#gallery {
    padding-top: 120px;
    overflow: hidden; /* Sağa doğru skrollun qarşısını alır */
}

/* Swiper konteynerinin genişliyini ekranın 100%-i qədər edin */
.book-table-img-slider {
    width: 100%; /* Ekranın tam genişliyini istifadə edin */
    overflow: hidden; /* Sağa doğru skrollu gizlətmək üçün */
    position: relative; /* Düzgün yerləşdirilməsi üçün */
}

/* Swiper slayderlərinin üslubunu tənzimləyin */
.book-table-img {
    height: 70vh; /* Hündürlük ekranın 70%-i qədər */
    min-height: 500px;
    border-radius: 30px;
    background-position: center;
    background-size: cover;
    width: 100%; /* Tam genişlikdə olmalıdır */
}

/* Swiper navigasiya düymələrinin düzgün yerləşməsi */
.swiper-button-wp {
    position: absolute; /* Swiper konteynerinə görə müvafiq mövqeyə */
    bottom: 20px; /* Aşağı tərəfdən məsafə */
    left: 0;
    right: 0;
    display: flex;
    justify-content: space-between;
    height: 60px;
    padding: 0 10px; /* Sol və sağ tərəfdən məsafə */
}

/* Swiper navigasiya düymələri */
.swiper-button-next, .swiper-button-prev {
    width: 60px;
    height: 60px;
    display: inline-flex;
    font-size: 30px;
    border-radius: 50%;
    color: #0d0d25;
    background: #ffffff;
    box-shadow: -20px 20px 60px #d4d4d4, 20px -20px 60px #ffffff;
    padding-top: 1px;
    padding-right: 2px;
    transition: 0.3s;
}

/* Swiper pagination */
.swiper-pagination {
    padding: 10px 20px;
    display: inline-block;
    border-radius: 60px;
    background: linear-gradient(145deg, #ececec, #ffffff);
    box-shadow: 25px 28px 55px #d4d4d4, -28px -28px 55px #ffffff;
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    color: #000;
}

.filter-menu-container::-webkit-scrollbar {
    display: none;
}

.filter-menu-container {
    overflow-x: auto;
    white-space: nowrap;
    background-color: #f8f8f8;
    padding: 10px 0;
    display: flex;
    justify-content: center;
}
.filter-menu {
    display: inline-block;
    text-align: center;
    max-width: 100%;
    padding: 0 20px;
    box-sizing: border-box;
}
.filter-menu a {
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 20px;
    color: #333;
    font-weight: 600;
    transition: background-color 0.3s, color 0.3s;
    margin: 5px;
    display: inline-block;
}
.filter-menu a.active {
    background-color: #faf7e0;
    color: var(--main-color);
}
.filter-menu a:hover {
    background-color: var(--main-color);
    color: #fff;
}

@media (max-width: 1545px) {
    header {
        padding: 22px 4%;
        transition: .2s;
    }

    header.sticky {
        padding: 14px 4%;
        transition: .2s;
    }

    section {
        padding: 50px 4% 40px;
        transition: .2s;
    }

    .container {
        padding: 30px 4% 50px;
    }
}

@media (max-width: 1180px) {
    :root {
        --big-font: 4rem;
        --h2-font: 2.2rem;
        --p-font: 15px;
    }

    .home {
        height: 85vh;
    }
}

@media (max-width: 1060px) {
    #menu-icon {
        display: initial;
    }

    .navlist {
        position: absolute;
        top: -1000px;
        Left: 0;
        right: 0;
        display: flex;
        flex-direction: column;
        text-align: left;
        background: var(--other-color);
        transition: all .50s ease;
    }

    .navlist a {
        display: block;
        padding: 0.5rem;
        margin: 1rem;
        border-left: 2px solid var(--main-color);
    }

    .navlist.open {
        top: 100%;
    }
}

@media (max-width: 1045px) {
    :root {
        --big-font: 3.3rem;
        --h2-font: 2rem;
    }

    .home-img img {
        width: 100%;
        max-width: 490px;
        height: auto;
    }

    .about-img img {
        width: 100%;
        max-width: 490px;
        height: auto;
    }

    .home {
        height: 70vh;
    }
}

@media (max-width: 860px) {
    .home {
        grid-template-columns: 1fr;
        height: 118vh;
    }

    .home-text {
        padding-top: 60px;
    }

    .home-img {
        text-align: center;
    }

    .about {
        grid-template-columns: 1fr;
    }

    .about-img {
        text-align: center;
    }
}

@media (max-width: 520px) {
    .contact-img {
        gap: 1.5rem;
    }

    .contact-img img {
        width: 100%;
        max-width: 170px;
        height: auto;
    }

    .social i {
        margin: 0 10px;
    }

    .contact-text p {
        max-width: 100%;
    }

    .details {
        gap: 1.5rem;
    }
}

@media (max-width: 475px) {
    :root {
        --big-font: 2.8rem;
        --h2-font: 2rem;
    }
}

@media (max-width: 440px) {
    .home {
        height: 110vh;
        gap: 0.1rem;
    }
}

